Loading...
Searching...
No Matches
libthreadar.hpp File Reference

main header file of the library, only that file should be # included in your programs More...

`#include "config.h"`
`#include "mutex.hpp"`
`#include "semaphore.hpp"`
`#include "condition.hpp"`
`#include "barrier.hpp"`
`#include "tampon.hpp"`
`#include "fast_tampon.hpp"`
`#include "thread.hpp"`
`#include "thread_signal.hpp"`
`#include "freezer.hpp"`
`#include "ratelier_gather.hpp"`
`#include "ratelier_scatter.hpp"`

Go to the source code of this file.

## Namespaces

namespace | libthreadar
| This is the only namespace used in libthreadar and all symbols provided by libthreadar are member of this namespace.

## Functions

void | libthreadar::get_version (unsigned int &major, unsigned int &medium, unsigned int &minor)
| provides the version of libthreadar
unsigned int | for_autoconf (unsigned int x)
| in case you use autoconf AC_CHECK_LIB in your program to detect the availability of libthreadar

## Detailed Description

main header file of the library, only that file should be # included in your programs

Definition in file libthreadar.hpp.

## Function Documentation

## for_autoconf()

unsigned int for_autoconf | ( | unsigned int | x | ) |

extern

in case you use autoconf AC_CHECK_LIB in your program to detect the availability of libthreadar

use AC_CHECK_LIB(threadar, [for_autoconf], [], []) to have autoconf based configure script properly detecting the presence and usability of libthreadar